> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hopae.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflows

> Get all workflows for an app.

Returns all workflows for the app, including the default workflow.

## Request

<ParamField header="Authorization" type="string" required>
  `Bearer <API_KEY>` from Console > Developers > Workspace API Keys.
</ParamField>

### Path parameters

<ParamField path="client_id" type="string" required>
  Client identifier of the app.
</ParamField>

## Response

Returns an array of workflow objects.

<RequestExample>
  ```bash theme={null}
  curl -H "Authorization: Bearer sk_workspace_test_..." \
    "https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  [
    {
      "workflowId": "wf_default",
      "name": "Default",
      "entryNodeId": "nd_req",
      "nodes": [
        { "id": "nd_req", "type": "request", "next": "nd_verify" },
        { "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name"] } },
        { "id": "nd_resp", "type": "response" }
      ],
      "createdAt": "2025-01-10T08:00:00.000Z",
      "updatedAt": "2025-01-10T08:00:00.000Z"
    }
  ]
  ```
</ResponseExample>
